<template>
  <div>  
    <!-- Cuerpo -->
    <div class="padding-top">
      <el-header height="80px" style="margin: 0 12rem;">
        <el-col :span="24" class="text-end">
          <el-button v-on:click="returnButtonModal = true" class="bg-orange box-shadow text-white border-none subtitle-styles">
            <i class="el-icon-arrow-left" style="color: white; fontWeight: bold"></i>
            Regresar
          </el-button>

          <!-- Modal btn de regresar -->
          <!-- <el-dialog
            :visible.sync="returnButtonModal"
            width="40%"
            center
            :close-on-press-escape="false"
            :show-close="false"
            custom-class="dialog-orange">
            <el-row>
              <el-col :span="6" class="text-center"><img src="../../assets/images/suspicious.svg" alt="emoticon"></el-col>
              <el-col :span="18">
                <p class="fonts-bold-general" style="margin-bottom: 0.5rem">¿Estás seguro?</p>
                <p style="line-height: 22px">Si sales del formulario, la información se perderá.</p>
                <div style="margin-top: 4rem">
                  <el-button @click="returnButtonModal = false" class="bg-orange text-white border-none">Seguir aquí</el-button>              
                  <el-button @click="returnButtonModal = false" v-on:click="viewListSeries" class="border-orange text-orange" style="margin-left: 3rem;">Aceptar</el-button>
                </div>
              </el-col>
            </el-row>
          </el-dialog> -->

         <AppModalReturn :show-dialog.sync="returnButtonModal" v-if="returnButtonModal" v-on:btnEvent="returnButtonModal = false" v-on:eventBtn="returnButtonModal = false" @eventBtn="viewListSeries">
        </AppModalReturn>


        </el-col>
      </el-header>
      <el-main>
        <el-steps :active="2" style="margin: 2rem 12rem 6rem 7rem" align-center>
          <el-step title="DATOS" style="font-size: 1rem"></el-step>
          <el-step title="INFORMACIÓN ARTÍSTICA"></el-step>
          <el-step title="REVISIÓN POR CAPÍTULO"></el-step>
        </el-steps>
        <!-- Paso 1: Datos -->
        <div style="margin: 6rem 12rem">
          <!-- Revisado por -->
          <el-row style="margin: 0">
            <el-col :span="24" class="bg-gray" style="padding: 0.6rem 1rem">
              <h3>CAPITULO  {{ chapterInfoSeries.chapter }}</h3>
            </el-col>
          </el-row>
          <el-row>
            <h3 style="margin-top:2rem">CALIFICACIÓN DEL CAPÍTULO</h3>
            <el-col style="margin-top: 2rem">
                <el-rate v-if="chapterInfoSeries.material.reviewObj" v-model="chapterInfoSeries.material.reviewObj.chapterScore" disabled>
                </el-rate>
                <el-rate v-else disabled></el-rate>
            </el-col>
          </el-row>
          <h3 style="margin: 3rem 0">DATOS DEL CAPITULO</h3>
          <el-row style="margin: 0 0 1rem">
            <el-col :span="9">
              <p>Título Original</p>
              <el-input v-model="titleChapter" size="small"></el-input>
            </el-col>
            <el-col :span="9" :offset="6">
              <p>Título en Español y/o Sugerido</p>
              <el-input v-model="SpanishTitleChapter" size="small"></el-input>
            </el-col>
          </el-row>
          <el-row style="margin: 3rem 0">
            <el-col :span="8">
              <p>Artistas invitados</p>
              <div v-for="(item, index) in arrGuestArtists" :key="index">
                <el-col :span="21"><el-input v-model="item.prodCompany" style="margin-bottom:0.5rem" size="small"></el-input></el-col>
                <el-col :span="3" class="text-end">
                  <i @click="addElement(index, 'prodCompany', 'arrGuestArtists')" class="el-icon-circle-plus text-orange" style="font-size:25px"></i>
                </el-col>
                <el-col :span="2" v-if="arrGuestArtists.length > 1" class="text-end">
                  <i @click="removeElement(index, 'arrGuestArtists')" class="el-icon-remove text-gray" style="font-size:25px"></i>
                  </el-col>
              </div>
            </el-col>
            <el-col :span="4" :offset="7">
              <p>Duración</p>
              <el-input v-model="durationChapter" size="small"></el-input>
            </el-col>
          </el-row> 
          <el-row>
            <el-col :span="8">
              <p>Director</p>
              <el-input v-model="directorChapter" size="small"></el-input>
            </el-col>
          </el-row>
          <el-row style="margin: 2rem 0 1rem">
            <el-col :span="12">
              <p style="margin: 0 0 1rem 0">Sinopsis:</p>
              <div style="margin: 0 0 3rem 0">
                <el-input 
                type="textarea"
                :autosize="{ minRows: 6, maxRows: 8}"
                v-model="synopsis">
                </el-input>
              </div>
            </el-col>
            <el-col :span="10" :offset="2">
              <p style="margin: 0 0 1rem 2.4rem">Tema:</p>
              <div style="margin: 0 0 3rem 2.4rem">
                <el-input 
                type="textarea"
                :autosize="{ minRows: 6, maxRows: 8}"
                v-model="themeChapter">
                </el-input>
              </div>
            </el-col>
          </el-row>
          <hr class= "line-card">
          <h3 style="margin: 3rem 0">INGRESO DEL MATERIAL</h3>
          <el-row style="margin: 0 0 1rem">
            <el-col :offset="1">
              <div>
                <span style="margin-right: 3.7rem;">Fecha de Llegada:</span>
                <el-date-picker
                  v-model="arrivalDate"
                  type="date"
                  format="dd/MM/yyyy"
                  size="small"
                  style="width: 18.5%" disabled>
                </el-date-picker>
              </div>
            </el-col>
          </el-row>
          <el-row style="margin: 0 0 1rem">
            <el-col :offset="1">
              <div>
                <span style="margin-right: 3.7rem;">Fecha de Copiado:</span>
                <el-date-picker
                  v-model="copyDate"
                  type="date"
                  format="dd/MM/yyyy"
                  size="small"
                  style="width: 18.5%" disabled>
                </el-date-picker>
              </div>
            </el-col>
          </el-row>
          <el-row style="margin: 0 0 1rem">
            <el-col :span="5" :offset="1">Modo de envio</el-col>
            <el-col :span="4">
              <el-select v-model="shippingMode" placeholder="Seleccionar" size="small" disabled>
                <el-option
                  v-for="classif in optionsShipping"
                  :key="classif"
                  :label="classif"
                  :value="classif">
                </el-option>
              </el-select>
            </el-col>
          </el-row>
          <el-row style="margin: 0 0 1rem">
            <el-col :span="5" :offset="1">Número de Guía</el-col>
            <el-col :span="4"><el-input v-model="guideNumber" :disabled="true" size="small"></el-input></el-col>
          </el-row>
          <el-row style="margin: 0 0 1rem">
            <el-col :span="5" :offset="1">Almacenamiento</el-col>
            <el-col :span="4">
              <el-select v-model="storageSelect" placeholder="Seleccionar" size="small" disabled>
                <el-option
                  v-for="classif in optionsStorage"
                  :key="classif"
                  :label="classif"
                  :value="classif">
                </el-option>
              </el-select>
            </el-col>
          </el-row>
          <hr class= "line-card">
          <h3 style="margin: 3rem 0">PANTALLA Y RESOLUCION</h3>
          <el-row style="margin: 0 0 1rem">
            <el-col :span="5" :offset="1">Pantalla</el-col>
            <el-col :span="4">
              <el-select v-model="screenSelect" placeholder="Seleccionar" size="small">
                <el-option
                  v-for="classif in optionsScreen"
                  :key="classif"
                  :label="classif"
                  :value="classif">
                </el-option>
              </el-select>
            </el-col>
          </el-row>
          <el-row style="margin: 0 0 1rem">
            <el-col :span="5" :offset="1">Resolucion de Pantalla</el-col>
            <el-col :span="4">
              <el-select v-model="resolutionSelect" placeholder="Seleccionar" size="small">
                <el-option
                  v-for="classif in optionsResolution"
                  :key="classif"
                  :label="classif"
                  :value="classif">
                </el-option>
              </el-select>
            </el-col>
          </el-row>
          <hr class= "line-card">
          <h3 style="margin: 3rem 0">OBSERVACIONES DE CONTENIDO</h3>
          <el-row style="margin: 0 0 1rem">
            <el-col :span="12" :offset="1">
              <el-checkbox-group v-model="contentObserv">
                <el-checkbox v-for="item in arrContetObs" :key="item" :label="item" style="display:block; margin:0; padding:0.5rem 0"></el-checkbox>
              </el-checkbox-group>
            </el-col>
            <el-col :span="6" :offset="1">
              <div class="bg-gray" style="padding: 1rem">
                <p class="fonts-bold-general" style="margin-bottom: 1rem">NECESITA EDICIÓN</p>
                <el-radio v-model="needEditContent" @change="changeEditContent" label="SÍ" style="display:block; margin:0">SÍ</el-radio>
                <el-radio v-model="needEditContent" @change="changeEditContent" label="NO" style="display:block; margin:0; padding:0.5rem 0">NO</el-radio>
              </div>
            </el-col>
          </el-row>
          <el-row style="margin: 0 0 3rem">
            <el-col :span="2" :offset="1">Otro:</el-col>
            <el-col :span="6"><el-input v-model="anotherContObserv" size="small"></el-input></el-col>
          </el-row>
          <hr class= "line-card">
          <h3 style="margin: 3rem 0">OBSERVACIONES TÉCNICAS</h3>
          <el-tabs type="card" style="margin-top: 3rem">
            <el-tab-pane label="Color">
              <span slot="label"><img src="../../assets/images/icono-color.svg" width="12%" alt="icono-color"> COLOR</span>
              <div style="margin:2rem 1rem">
                <el-row style="margin: 0 0 1rem">
                  <el-col :span="12" :offset="1">
                    <el-checkbox-group v-model="colorObserv" @change="changeCheckbox(colorObserv, 'colorObserv', 'disabledColor', 'needRepColor')">
                      <el-checkbox v-for="item in arrColor" :key="item" :label="item" style="display:block; margin:0; padding:0.5rem 0"></el-checkbox>
                    </el-checkbox-group>
                  </el-col>
                  <el-col :span="6" :offset="1">
                    <div class="bg-gray" style="padding: 1rem">
                      <p class="fonts-bold-general" style="margin-bottom: 1rem">NECESITA REPOSICIÓN</p>
                      <el-radio v-model="needRepColor" label="SÍ" @change="changeReplacement(needRepColor, 'repColor')" :disabled="disabledColor" style="display:block; margin:0">SÍ</el-radio>
                      <el-radio v-model="needRepColor" label="NO" @change="changeReplacement(needRepColor, 'repColor')" :disabled="disabledColor" style="display:block; margin:0; padding:0.5rem 0">NO</el-radio>
                    </div>
                  </el-col>
                </el-row>
                <el-row style="margin: 0 0 3rem">
                  <el-col :span="2" :offset="1">Otro:</el-col>
                  <el-col :span="6"><el-input v-model="anotherColor" size="small"></el-input></el-col>
                </el-row>
              </div>
            </el-tab-pane>
            <el-tab-pane label="Audio">
              <span slot="label"><img src="../../assets/images/icono-audio.svg" width="12%" alt="icono-audio"> AUDIO</span>
              <div style="margin:2rem 1rem">
                <el-row style="margin: 0 0 1rem">
                  <el-col :span="12" :offset="1">
                    <el-checkbox-group v-model="audioObserv" @change="changeCheckbox(audioObserv, 'audioObserv', 'disabledAudio', 'needRepAudio')">
                      <el-checkbox v-for="item in arrAudio" :key="item" :label="item" style="display:block; margin:0; padding:0.5rem 0"></el-checkbox>
                    </el-checkbox-group>
                  </el-col>
                  <el-col :span="6" :offset="1">
                    <div class="bg-gray" style="padding: 1rem">
                      <p class="fonts-bold-general" style="margin-bottom: 1rem">NECESITA REPOSICIÓN</p>
                      <el-radio v-model="needRepAudio" @change="changeReplacement(needRepAudio, 'repAudio')" label="SÍ" :disabled="disabledAudio" style="display:block; margin:0">SÍ</el-radio>
                      <el-radio v-model="needRepAudio" @change="changeReplacement(needRepAudio, 'repAudio')" label="NO" :disabled="disabledAudio" style="display:block; margin:0; padding:0.5rem 0">NO</el-radio>
                    </div>
                  </el-col>
                </el-row>
                <el-row style="margin: 0 0 3rem">
                  <el-col :span="2" :offset="1">Otro:</el-col>
                  <el-col :span="6"><el-input v-model="anotherAudio" size="small"></el-input></el-col>
                </el-row>
              </div>
            </el-tab-pane>
            <el-tab-pane label="Video">
              <span slot="label"><img src="../../assets/images/icono-video.svg" width="12%" alt="icono-video"> VIDEO</span>
              <div style="margin:2rem 1rem">
                <el-row style="margin: 0 0 1rem">
                  <el-col :span="12" :offset="1">
                    <el-checkbox-group v-model="videoObserv" @change="changeCheckbox(videoObserv, 'videoObserv', 'disabledVideo', 'needRepVideo')">
                      <el-checkbox v-for="item in arrVideo" :key="item" :label="item" style="display:block; margin:0; padding:0.5rem 0"></el-checkbox>
                    </el-checkbox-group>
                  </el-col>
                  <el-col :span="6" :offset="1">
                    <div class="bg-gray" style="padding: 1rem">
                      <p class="fonts-bold-general" style="margin-bottom: 1rem">NECESITA REPOSICIÓN</p>
                      <el-radio v-model="needRepVideo" @change="changeReplacement(needRepVideo, 'repVideo')" label="SÍ" :disabled="disabledVideo" style="display:block; margin:0">SÍ</el-radio>
                      <el-radio v-model="needRepVideo" @change="changeReplacement(needRepVideo, 'repVideo')" label="NO" :disabled="disabledVideo" style="display:block; margin:0; padding:0.5rem 0">NO</el-radio>
                    </div>
                  </el-col>
                </el-row>
                <el-row style="margin: 0 0 3rem">
                  <el-col :span="2" :offset="1">Otro:</el-col>
                  <el-col :span="6"><el-input v-model="anotherVideo" size="small"></el-input></el-col>
                </el-row>
              </div>
            </el-tab-pane>
          </el-tabs>
          <hr class= "line-card">
          <h3 style="margin-bottom: 2rem">OBSERVACIONES ADICIONALES</h3>
          <div style="margin: 0 0 3rem 2.4rem">
            <el-input 
              type="textarea"
              :autosize="{ minRows: 6, maxRows: 8}"
              v-model="additionalRemarks">
            </el-input>
          </div>
        </div>
        <!-- Botón siguiente -->
        <div class="text-end" style="margin: 0 12rem">
          <el-button @click="saveChapSerie" class="bg-orange text-white border-none">
            GUARDAR
          </el-button>
          <p style="margin: 1.5rem"></p>
          <!-- <a @click="$router.go(-1)">back</a> -->
        </div>
      </el-main>
    </div>
  </div>
</template>

<script>
// @ is an alias to /src

import AppModalReturn from '@/components/AppModalReturn.vue'

// reestructurar y arreglar todo de esta vista
const contObsOptions = ['Lenguaje inapropiado', 'Violencia física y/o psicológica', 'Sangre', 'Alcohol y drogas', 'Desnudos y/o sexo', 'Muerte y crímenes']
const colorOptions = ['OK', 'Setup Alto o Pedestal Alto (Lavado)', 'Desbalanceado (Fades Tend. Al Rojo)', 'Saturación de Croma (Rojos muy vivos)']
const audioOptions = ['OK', 'Sin Audio', 'Volumen Bajo', 'Entrecortado', 'Saturado (Volumen muy alto)', 'CH1', 'CH2']
const videoOptions = ['OK', 'Drops', 'Rayas', 'Pixeleado', 'Nivel Bajo de Video (Oscuro)']
export default {
  components: {
    AppModalReturn
  },
  data () {
    return {
      chapterInfoSeries: {},
      returnButtonModal: false,
      active: 0,
      titleChapter:'', //titulo orginal
      SpanishTitleChapter:'',// titulo español
      arrGuestArtists: [{prodCompany: ''}],
      durationChapter:'',
      directorChapter:'',
      synopsis: '',
      themeChapter: '',
       // ingreso de material debe jalarse de soporte
      arrivalDate: '',
      copyDate: '',
      shippingMode: '',
      optionsShipping: ['FEDEX'],
      guideNumber: '',
      storageSelect: '',
      optionsStorage: ['Master'],
      // pantalla y resolucion
      screenSelect: '',
      optionsScreen: ['Full Screen'],
      resolutionSelect: '',
      optionsResolution: ['HD'],
      contentObserv: [], //Ok
      arrContetObs: contObsOptions,
      anotherContObserv: '', //Ok
      needEditContent: [],
      // color
      colorObserv:[],
      arrColor: colorOptions,
      anotherColor: '', //Ok
      needRepColor: '',
      repColor: '', //Ok
      disabledColor: true,
      // audio
      audioObserv: [], //Ok
      arrAudio: audioOptions,
      anotherAudio: '', //Ok
      needRepAudio: '',
      repAudio: '', //Ok
      disabledAudio: true,
      // video
      videoObserv: [], //Ok
      arrVideo: videoOptions,
      anotherVideo: '', //Ok
      needRepVideo: '',
      repVideo: '', //Ok
      disabledVideo: true,
      additionalRemarks:'',
    }
  },
  created () {
    this.getMaterial()
  },
  methods: {
    changeReplacement (label, status) {
      if (label === 'SÍ') {
        this[status] = 'En espera de Reposición'
      } else {
        this[status] = 'NO necesita reposición'
      }
    },
    changeCheckbox (value, item, disabled, needEdit) {
      if (value.length > 0) {
        if (value.includes('OK')) {
          this[disabled] = true
          this[item] = ['OK']
          this[needEdit] = ''
        } else {
          this[disabled] = false
        }
      }
    },
    changeEditContent (label) {
      if (label === 'SÍ') {
        this.editContent = 'SÍ necesita edición'
      } else {
        this.editContent = 'NO necesita edición'
      }
    },
    viewListSeries() {
      this.$router.push({name: 'revSeries'})
    },
    addElement (index, el, arr) {
      this[arr].map((el, i, arr) => {
        if (i == index) {
          arr.splice(i + 1, 0, {[el]: ''});
        } 
      })
    },
    removeElement (index, arr) {
      this[arr].splice(index, 1);
    },
    
    getMaterial() {
      this.chapterInfoSeries= JSON.parse(this.$localStorage.get('chapterInfoSeries'));
      console.log(this.chapterInfoSeries)
    },
    saveChapSerie(){
      console.log('guardar')
      let reviewChap = {
        titleChapter:this.titleChapter,
        SpanishTitleChapter:this.SpanishTitleChapter,
        arrGuestArtists:this.arrGuestArtists,
        durationChapter:this.durationChapter,
        directorChapter:this.directorChapter,
        synopsis:this.synopsis,
        themeChapter:this.themeChapter,
        screenSelect:this.screenSelect, 
        resolutionSelect:this.resolutionSelect,
        contentObserv:this.contentObserv,
        needEditContent:this.needEditContent,
        anotherContObserv:this.anotherContObserv,
        colorObserv:this.colorObserv,
        needRepColor:this.needRepColor,
        anotherColor:this.anotherColor,
        audioObserv:this.audioObserv,
        needRepAudio:this.needRepAudio,
        anotherAudio:this.anotherAudio,
        videoObserv:this.videoObserv,
        needRepVideo:this.needRepVideo,
        anotherVideo:this.anotherVideo,
        additionalRemarks:this.additionalRemarks
      }
      console.log(reviewChap)
      // this.$localStorage.set('reviewChapSeries', JSON.stringify(reviewChap))
      this.$router.push({name: 'revSeries'})
      // this.$router.go(-1)

    },
  }
}
</script>